LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   Slackware64 14 in Xen (http://www.linuxquestions.org/questions/slackware-14/slackware64-14-in-xen-4175476085/)

skush 09-05-2013 04:14 PM

Slackware64 14 in Xen
 
I'm using citrix xenserver to virtualize a few OSs, but when I try to boot Slackware64 14 with the default kernel (I just hit enter when prompted). The kernel panics while decompressing linux. Should I choose another kernel? Is there something else I need to do?

Thank you for your help.

hotchili 09-06-2013 07:22 AM

Hello,

not really sure this will help you. But I have rented a xen vserver which runs slackware64-14.
By default it was running 13.37 and had this kernel installed: http://stacklet.com/downloads/kernel...-2.6.37-x86_64

Then there was the local kernel root bug and I upgraded the kernel to 3.2.45, I don't remember where I got the .config,
but I know there are a lot of xen options enabled, then installed it after this guide:
http://stacklet.com/doc/kernel/howto...en-domu-kernel

Probably you just need a kernel with the right xen options enabled, there is also a slackware 14 xen image on this site:
http://stacklet.com/downloads/images...re/14.0/x86-64

zerouno 09-06-2013 07:43 AM

1 Attachment(s)
Quote:

Originally Posted by hotchili (Post 5022992)
I don't remember where I got the .config,

/proc/config.gz


my 3.10.7 .config in attach

my installed packages (slackware64-current)
Code:

aaa_base-14.0-x86_64-5
aaa_elflibs-14.1-x86_64-2
bin-11.1-x86_64-1
bash-4.2.045-x86_64-1
acpid-2.0.19-x86_64-1
aaa_terminfo-5.8-x86_64-1
coreutils-8.21-x86_64-1
bzip2-1.0.6-x86_64-1
cxxlibs-6.0.18-x86_64-1
curl-7.31.0-x86_64-1
cpio-2.11-x86_64-2
devs-2.3.1-noarch-25
dcron-4.5-x86_64-4
cyrus-sasl-2.1.23-x86_64-5
dialog-1.2_20130523-x86_64-1
dhcpcd-6.0.5-x86_64-2
dhcp-4.2.5_P1-x86_64-1
etc-14.1-x86_64-1
elvis-2.2_0-x86_64-2
e2fsprogs-1.42.8-x86_64-2
diffutils-3.2-x86_64-1
fontconfig-2.10.93-x86_64-1
findutils-4.4.2-x86_64-1
file-5.14-x86_64-1
gd-2.0.35-x86_64-4
gawk-4.1.0-x86_64-2
gettext-tools-0.18.2.1-x86_64-2
gettext-0.18.2.1-x86_64-2
gdbm-1.8.3-x86_64-4
getty-ps-2.1.0b-x86_64-1
glib2-2.36.4-x86_64-1
glibc-2.17-x86_64-5
glibc-i18n-2.17-x86_64-5
glibc-solibs-2.17-x86_64-5
gpgme-1.4.1-x86_64-1
gnupg-1.4.14-x86_64-1
glibc-zoneinfo-2013d-noarch-5
gzip-1.6-x86_64-1
groff-1.22.2-x86_64-1
grep-2.14-x86_64-1
iputils-s20101006-x86_64-2
iptables-1.4.17-x86_64-1
iproute2-3.10.0-x86_64-1
inetd-1.79s-x86_64-8
kbd-1.15.3-x86_64-2
ksh93-2012_08_01-x86_64-1
libSM-1.2.1-x86_64-1
libICE-1.0.8-x86_64-1
less-451-x86_64-1
libXdmcp-1.1.1-x86_64-1
libXaw-1.0.11-x86_64-1
libXau-1.0.8-x86_64-1
libX11-1.6.1-x86_64-1
libXt-1.1.4-x86_64-1
libXpm-3.5.10-x86_64-1
libXp-1.0.2-x86_64-1
libXmu-1.1.1-x86_64-1
libXext-1.3.2-x86_64-1
libtermcap-1.2.3-x86_64-7
libidn-1.25-x86_64-2
libgpg-error-1.11-x86_64-1
libffi-3.0.13-x86_64-2
libassuan-2.1.0-x86_64-1
libxcb-1.9-x86_64-1
libxml2-2.9.1-x86_64-1
man-1.6g-x86_64-1
lsof-4.83-x86_64-1
logrotate-3.8.2-x86_64-1
mkinitrd-1.4.8-x86_64-1
man-pages-3.50-noarch-1
ncurses-5.9-x86_64-2
nano-2.3.2-x86_64-1
network-scripts-14.1-noarch-1
net-tools-1.60.20120726git-x86_64-1
openssh-6.2p2-x86_64-1
openssl-1.0.1e-x86_64-1
openssl-solibs-1.0.1e-x86_64-1
pkgtools-14.0-noarch-2
perl-5.18.0-x86_64-1
procps-3.2.8-x86_64-4
popt-1.16-x86_64-2
python-2.7.5-x86_64-1
qca-gnupg-2.0.0_beta3-x86_64-1
qca-cyrus-sasl-2.0.0_beta3-x86_64-1
readline-5.2-x86_64-4
rsync-3.0.9-x86_64-1
screen-4.0.3-x86_64-4
sed-4.2.1-x86_64-1
shadow-4.1.5.1-x86_64-1
slackpkg-2.82.0-noarch-9
sudo-1.8.6p8-x86_64-1
sysklogd-1.5-x86_64-2
sysvinit-functions-8.53-x86_64-2
sysvinit-2.88dsf-x86_64-3
sysvinit-scripts-2.0-noarch-14
tar-1.26-x86_64-1
tree-1.6.0-x86_64-1
traceroute-2.0.18-x86_64-1
texinfo-4.13a-x86_64-4
util-linux-2.21.2-x86_64-6
utempter-1.1.5-x86_64-1
udev-182-x86_64-6
wget-1.14-x86_64-2
vim-7.3.1087-x86_64-1
xz-5.0.5-x86_64-1
which-2.20-x86_64-1
zsh-5.0.2-x86_64-1
mpfr-3.1.2-x86_64-1
apr-1.4.6-x86_64-1
apr-util-1.5.1-x86_64-1
httpd-2.4.6-x86_64-1
sqlite-3.7.17-x86_64-1
libmcrypt-2.5.8-x86_64-1
bind-9.9.3_P2-x86_64-1
idnkit-1.0-x86_64-1


skush 09-06-2013 07:37 PM

Thanks for the links, I will try them as soon as I can.


All times are GMT -5. The time now is 06:53 PM.